Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234433 - Broken multi-lib dependency in FC6 update
Summary: Broken multi-lib dependency in FC6 update
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: opal
Version: 6
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Veillard
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-29 07:08 UTC by Michael Schwendt
Modified: 2013-01-10 04:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-07-15 09:42:08 UTC


Attachments (Terms of Use)

Description Michael Schwendt 2007-03-29 07:08:26 UTC
source rpm: opal-2.2.5-1.fc6.src.rpm
package: opal-devel - 2.2.5-1.fc6.i386 from fedora-core-updates-6-x86_64
  unresolved deps: 
     libopal_linux_x86_r.so.2.2

opal.i386 is not available for x86_64.

Comment 1 Daniel Veillard 2007-03-29 08:10:53 UTC
Sorry I don't understand that report, what is the problem exactly ?
I think we desactivated building ekiga and its specific libraries 
(opal and pwlib) i386 for x86_64, that occured before RHEL5 was
finalized at the beginning of the year could be related but I'm
not sure what you tried to do.

Daniel

Comment 2 Michael Schwendt 2007-03-29 08:35:06 UTC
See bug 230194 - in particular bug 230194 comment 13.

Comment 3 Daniel Veillard 2007-07-13 13:54:22 UTC
I still don't understand what you did and how it failed.
opal and pwlib should not be multi-lib as they are used only
of Ekiga and not for anything else. If they were multi-lib in
the past that was a mistake, but it's hard to fix retrospectively.

Daniel

Comment 4 Michael Schwendt 2007-07-15 09:42:08 UTC
There's opal-devel.i386, but not opal.i386 in the x86_64 repo:
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/6/x86_64/

Since you say it's too hard to fix that, closing as CANTFIX.


Note You need to log in before you can comment on or make changes to this bug.